#! /bin/sh -e
#  /usr/lib/emacsen-common/packages/install/foo
# [ This particular script hasn't been tested, so be careful. ]

set -e

FLAVOR=$1
PACKAGE="migemo"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el";

SITELISP=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

FLAGS="${SITEFLAG} -q -batch -f batch-byte-compile"

SOURCES="migemo.el"

case "${FLAVOR}" in
	emacs|emacs19)
	;;
	*)

	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
#	if [ "${FLAVOR}" = "mule2" ]; then
#		if [ ! -d /usr/share/emacs/site-lisp/clime ]; then
#		echo " exited."
#		echo "W: Please install \`clime' package for mule2." ;
#		exit 0;
#		fi
#	else
#		if [ ! -d /usr/share/emacs/site-lisp/flim ]; then
#		echo " exited."
#		echo "W: Please install \`flim' package for ${FLAVOR}." ;
#		exit 0;
#		fi
#	fi

        # Byte compile
	cd ${ELDIR}
	rm -rf ${ELCDIR}
	install -m 755 -d ${ELCDIR}
	cp ${SOURCES} ${ELCDIR}
	FILES="${SOURCES}"
	cd ${ELCDIR}
	${FLAVOR} ${FLAGS} ${FILES} > ${ELCDIR}/CompilationLog 2>&1
	rm -f ${SOURCES}
	gzip -9 ${ELCDIR}/CompilationLog

	install -p -m644 ${ELDIR}/vine-default-${PACKAGE}.el ${ELCDIR}
	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/90${STARTFILE}

	echo " done."
	;;
esac

exit 0;

